Summary:	Miscellaneous convenience, extension and workaround code for Python
Name:		python-slip
Version:	0.6.3
Release:	1
Group:		System/Libraries
License:	GPLv2+
Url:		https://github.com/nphilipp/python-slip
Source0:	https://github.com/nphilipp/python-slip/releases/download/python-slip-%{version}/python-slip-%{version}.tar.bz2
Patch0:		python-slip-0.2.24-selinux.patch
BuildArch:	noarch
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(python3)
Obsoletes:	policykit
Requires:       python-six

%description
The Simple Library for Python packages contain miscellaneous code for
convenience, extension and workaround purposes.

This package provides the "slip" and the "slip.util" modules.

%package -n python3-slip
Summary:    Convenience, extension and workaround code for Python 3.x
Group:      System/Libraries

%description -n python3-slip
The Simple Library for Python 3.x packages contain miscellaneous code for
convenience, extension and workaround purposes.

This package provides the "slip" and the "slip.util" modules.

%package dbus
Summary:	Convenience functions for dbus services
Group:		System/Libraries
Requires:	%{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:	python-dbus >= 0.80
Requires:	python-gobject
Requires:	polkit >= 0.94
Requires:	python-decorator

%description dbus
The Simple Library for Python packages contain miscellaneous code for
convenience, extension and workaround purposes.

This package provides slip.dbus.service.Object, which is a dbus.service.Object
derivative that ends itself after a certain time without being used and/or if
there are no clients anymore on the message bus, as well as convenience
functions and decorators for integrating a dbus service with PolicyKit.

%package -n python3-slip-dbus
Summary:    Convenience functions for dbus services in Python 3.x
Group:      System/Libraries
Requires:   python3-slip = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:   python3-dbus >= 0.80
# Don't require any of pygobject2/3 because slip.dbus works with either one. In
# theory users of slip.dbus should require one or the other anyway to use the
# main loop.
#
# No hard requirement on polkit to allow minimal installs without polkit and
# its dependencies.
Conflicts:  policykit
Requires:   python3-decorator
Requires:   python3-six

%description -n python3-slip-dbus
The Simple Library for Python 3.x packages contain miscellaneous code for
convenience, extension and workaround purposes.

This package provides slip.dbus.service.Object, which is a dbus.service.Object
derivative that ends itself after a certain time without being used and/or if
there are no clients anymore on the message bus, as well as convenience
functions and decorators for integrating a dbus service with PolicyKit.

%package gtk
Summary:	Code to make auto-wrapping gtk labels
Group:		System/Libraries
Requires:	%{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:	pygtk2.0

%description gtk
The Simple Library for Python packages contain miscellaneous code for
convenience, extension and workaround purposes.

This package provides slip.gtk.set_autowrap(), a convenience function which
lets gtk labels be automatically re-wrapped upon resizing.

%prep
%setup -q
%apply_patches

cp -a . %{py3dir}
find %{py3dir} -name '*.py' -o -name '*.py.in' | xargs sed -i '1s|^#!/usr/bin/python|#!%{__python3}|'

%build
%make PYTHON=/usr/bin/python2

pushd %{py3dir}
%make PYTHON=/usr/bin/python3
popd

%install
%makeinstall_std PYTHON=/usr/bin/python2

pushd %{py3dir}
%makeinstall_std  PYTHON=/usr/bin/python3
popd

%files
%doc COPYING doc/dbus
%dir %{py_puresitedir}/slip/
%{py_puresitedir}/slip/__init__.py*
%{py_puresitedir}/slip/util
%{py_puresitedir}/slip/_wrappers
%{py_puresitedir}/slip-%{version}-py%{py_ver}.egg-info

%files -n python3-slip
%defattr(-,root,root,-)
%doc COPYING doc/dbus
%dir %{py3_puresitedir}/slip/
%{py3_puresitedir}/slip/__init__.py*
%{py3_puresitedir}/slip/util
%{py3_puresitedir}/slip/_wrappers
%{py3_puresitedir}/slip-%{version}-py%{python3_version}.egg-info

%files dbus
%doc doc/dbus/*
%{py_puresitedir}/slip/dbus
%{py_puresitedir}/slip.dbus-%{version}-py%{py_ver}.egg-info

%files -n python3-slip-dbus
%doc doc/dbus/*
%{py3_puresitedir}/slip/dbus
%{py3_puresitedir}/slip.dbus-%{version}-py%{python3_version}.egg-info

%files gtk
%{py_puresitedir}/slip/gtk
%{py_puresitedir}/slip.gtk-%{version}-py%{py_ver}.egg-info



%changelog

* Thu Sep 03 2015 Denis Silakov <denis.silakov@rosalab.ru> 0.6.3-1
- (1d63e90) No need in selinux requirement


